aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fuse-exfat/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2017-02-01 00:54:55 +0200
committerTimo Teräs <timo.teras@iki.fi>2017-02-01 12:32:38 +0000
commit6e8c50b532818c09f21cacb85a5a99733687c0e6 (patch)
treeb435bb45dfc7d9162fe9ebd0ed4b9b4e044a15e1 /testing/fuse-exfat/APKBUILD
parent0dbca03e2ae7f9c87de6f027a441a91d69c03d54 (diff)
downloadaports-6e8c50b532818c09f21cacb85a5a99733687c0e6.tar.gz
aports-6e8c50b532818c09f21cacb85a5a99733687c0e6.tar.bz2
aports-6e8c50b532818c09f21cacb85a5a99733687c0e6.tar.xz
testing/fuse-exfat: upgrade to 1.2.6
-- apkbuild cleanups change source to build both fuse-exfat & exfat-utils fuse-exfat provides exfat fuse-exfat-utils provides exfat-utils
Diffstat (limited to 'testing/fuse-exfat/APKBUILD')
-rw-r--r--testing/fuse-exfat/APKBUILD56
1 files changed, 25 insertions, 31 deletions
diff --git a/testing/fuse-exfat/APKBUILD b/testing/fuse-exfat/APKBUILD
index b4bf37654b..25cc549835 100644
--- a/testing/fuse-exfat/APKBUILD
+++ b/testing/fuse-exfat/APKBUILD
@@ -1,47 +1,41 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=fuse-exfat
-pkgver=1.2.3
+_pkgreal=exfat
+pkgver=1.2.6
pkgrel=0
pkgdesc="Free exFAT file system implementation"
url="https://github.com/relan/exfat"
arch="all"
license="GPL2+"
+provides="$_pkgreal"
depends="fuse"
-depends_dev=""
-makedepends="$depends_dev fuse-dev"
-install=""
-subpackages="$pkgname-doc"
-source="https://github.com/relan/exfat/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz"
-
-_builddir="$srcdir"/fuse-exfat-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+makedepends="autoconf automake fuse-dev"
+subpackages="$pkgname-doc $pkgname-utils"
+source="$_pkgreal-$pkgver.tar.gz::https://github.com/relan/$_pkgreal/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
build() {
- cd "$_builddir"
-
- ./configure --prefix=/usr --sbindir=/usr/bin || return 1
- make CCFLAGS="${CFLAGS} -std=c99" LINKFLAGS="${LDFLAGS}"
+ cd "$builddir"
+ autoreconf --install || return 1
+ ./configure --prefix=/usr || return 1
+ make || return 1
}
package() {
- cd "$_builddir"
-
- make DESTDIR="${pkgdir}" install || return 1
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
- # Install man page
- install -Dm444 fuse/mount.exfat-fuse.8 \
- "${pkgdir}/usr/share/man/man8/mount.exfat-fuse.8" \
- || return 1
+utils() {
+ pkgdesc="$pkgdesc (utilities)"
+ provides="$_pkgreal-utils"
+ mkdir -p "$subpkgdir"/usr/sbin
+ local file; for file in $(find "$pkgdir"/usr/sbin ! -name "mount*" -a ! -type d); do
+ mv $file "$subpkgdir"/${file#$pkgdir}
+ done
}
-md5sums="fca71e6598f79d037a3c7c969cb5710c fuse-exfat-1.2.3.tar.gz"
-sha256sums="f2e06eba5a21c621aac1d6da21b12a5a324fdd1e20f9c8acd357dd463c2355d9 fuse-exfat-1.2.3.tar.gz"
-sha512sums="960f24325af3604a6c3643462e53c989e0b06cafd8cfc1ac8872a37fe149d106d0155fe578f2d8f15f330c51f1bc653d296f01b1adf7aa7028a9d8a73215f692 fuse-exfat-1.2.3.tar.gz"
+md5sums="f35e932d0aa9231916f91b9df2e2cf4a exfat-1.2.6.tar.gz"
+sha256sums="1afe3ab4141414c760cfb6e2dca2491b484d07dd0c79879e72b84ad0664038cd exfat-1.2.6.tar.gz"
+sha512sums="76f9ece1ea0d449c48ae71d367021ed7cee05b1619239954b725adbe68c33b76046a8620c64dbebdcc69f2ca32abd242e12f4d592a00cd7fdd2277ff6803fc96 exfat-1.2.6.tar.gz"